<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
	targetNamespace="http://www.ansys.com/ekm/metaData"
	xmlns:ekmMetaData="http://www.ansys.com/ekm/metaData">

	<xsd:complexType name="MetaData">
		<xsd:attribute name="name" type="xsd:string" use="required" />
		<xsd:attribute name="value" type="xsd:string" use="required" />
	</xsd:complexType>

	<xsd:complexType name="ChildMetaDataList">
		<xsd:sequence>
			<xsd:element name="data" type="ekmMetaData:MetaData" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element name="child" type="ekmMetaData:ChildMetaDataList" minOccurs="0" maxOccurs="unbounded"/>
		</xsd:sequence>
		<xsd:attribute name="name" type="xsd:string" use="required"/>
		<xsd:attribute name="type" type="xsd:string" use="required"/>
	</xsd:complexType>

	<xsd:complexType name="MetaDataList">
		<xsd:sequence>
			<xsd:element name="data" type="ekmMetaData:MetaData" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element name="child" type="ekmMetaData:ChildMetaDataList" minOccurs="0" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:element name="meta-data" type="ekmMetaData:MetaDataList" />

</xsd:schema>